/**
 *  Copyright (c) 2008-2011 Sonatype, Inc. All rights reserved.
 *
 *  This program is licensed to you under the Apache License Version 2.0,
 *  and you may not use this file except in compliance with the Apache License Version 2.0.
 *  You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the Apache License Version 2.0 is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.jira.recorder;

import java.lang.reflect.Method;

public class Triple
{

    private String method;
    private Object[] arguments;
    private Object result;

    public Triple( String method, Object[] args, Object result )
    {
        this.method = method;
        this.arguments = args;
        this.result = result;
    }

    public Triple()
    {
        super();
    }

    public Triple( Method method, Object[] args, Object result )
    {
        this(method.getName(), args, result);
    }

    public String getMethod()
    {
        return method;
    }

    public void setMethod( String method )
    {
        this.method = method;
    }

    public Object[] getArgs()
    {
        return arguments;
    }

    public void setArgs( Object[] args )
    {
        this.arguments = args;
    }

    public Object getResult()
    {
        return result;
    }

    public void setResult( Object result )
    {
        this.result = result;
    }

}
